## NAME

           gmtlist - A data-extractor for <legid>.gmt files

## SYNOPSIS

           gmtlist leg-ids [ -Ccorrectionfile ] [ -Dastartdate ] [ -Dbstopdate ] [
           -Fflags ] [ -G ] [ -H ] [ -Rwest/east/south/north ] [ -Sastartdist ]  [
           -Sbstopdist ] [ -V ] [ -Wweight ] [ -b ]

## DESCRIPTION

           gmtlist  reads  <legid>.gmt files and produces an ASCII [or binary] ta-
           ble. The <legid>.gmt files contain time(s), latitude(y),  longitude(x),
           gravity(g/G),  magnetics(m/M),  and  bathymetry(t/T),  and the user may
           extract any combination of these 6 parameters  +  distance(d),  heading
           (h),  velocity (v), and weight (w, see -W). A sub-section can be speci-
           fied by passing time- or distance-intervals along track or by selecting
           a region.

           leg-ids
                  Can  be  one  or  more cruisenames. To give a list of names, use
                  ‘cat list_of_legs‘.

## OPTIONS

           No space between the option flag and the associated arguments

           -C     Apply crossover Corrections to the data. If no  correction  file
                  is  given, gmtlist reads the default correction file. (See XSYS-
                  TEM for how to set up your own correction file).

           -Da    Do not list data collected before  startdate  (mm/dd/yyyy/hh:mm)
                  [Default is first day].

           -Db    Do  not  list  data collected after stopdate (mm/dd/yyyy/hh:mm).
                  [Default is last day].

           -F     Can be any combination of syxgmtdhv to indicate the desired out-
                  put  data. The data will appear in the order indicated by flags.
                  If GMT is substituted for gmt, only records that have that  com-
                  bination  of data are written out. If s is followed by c (calen-
                  dar), then yyyy/mm/dd/hh/mm/ss is written out, if s is  followed
                  by  j (julian), then yyyy/jd/hh/mm/ss is written out. Default is
                  seconds from start of year.

           -G     Force Geographical longitudes (-180/+180) rather  than  geodetic
                  (0-360) [Default].

           -H     Issue a header record with names for each data field.

           -Sa    Do  not  list  data  that are less than startdist km along track
                  from port of departure. [Default is 0].

           -Sb    Do not list data that are more than stopdist km along track from
                  port of departure. [Default is length of track].

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

## EXAMPLES

           To get a (distance, heading, crossover-corrected  gravity,  bathymetry)
           listing  from  c2104.gmt,  starting  at June 3 1971 20:45 and ending at
           distance = 5000 km, use the following command:

           gmtlist c2104 -Da6/3/1971/20:45 -Sb5000 -Fdhgt -C > myfile

           To make input for blockmean and surface using all the cruises listed in
           the  file  gmt.list,  but  only  the data that are inside the specified
           area, and make output binary:

           gmtlist ‘cat gmt.list‘ -Fxyg -R-40/-30/25/35 -b > allgrav.xyg

## SEE ALSO

           gmt(GMTMANSECTION), xsystem(GMTMANSECTION)

## REFERENCES

           Wessel, P., and W. H. F. Smith, 2004, The Generic Mapping  Tools  (GMT)
           version 4 Technical Reference & Cookbook, SOEST/NOAA.
           Wessel,  P., and W. H. F. Smith, 1998, New, Improved Version of Generic
           Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
           Wessel, P., and W. H. F. Smith, 1995, New Version of the  Generic  Map-
           ping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
           Wessel,  P.,  and W. H. F. Smith, 1995, New Version of the Generic Map-
           ping Tools Released, http: American Geophysical Union.
           Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and  Dis-
           play Data, EOS Trans., AGU, 72 (41), p. 441.

    GMT4.0                            1 Oct 2004            GMTLIST(GMTMANSECTION)